var latin_table = new Array("a","i","yi","u","wu","whu","e","o",
			"la", "xa", "li", "xi", "lyi", "xyi", "lu", "xu", "le", "xe", "lye", "xye", "lo", "xo",
			"wha", "whi", "wi", "whe", "we", "who",
			"ka", "ca", "ki", "ku", "cu", "qu", "ke", "ko", "co",
			"lka", "xka", "lke", "xke",
			"ga", "gi", "gu", "ge", "go",
			"kya", "kyi", "kyu", "kye", "kyo",
			"qya", "qyu", "kyo",
			"qwa", "qa", "kwa", "qwi", "qi", "qyi", "qwu", "qwe", "qe", "qye", "qwo", "qo",
			"gya", "gyi", "gyu", "gye", "gyo",
			"gwa", "gwi", "gwu", "gwe", "gwo",
			"sa", "si", "ci", "shi", "su", "se", "ce", "so",
			"za", "zi", "ji", "zu", "ze", "zo",
			"sya", "sha", "syi", "syu", "shu", "sye", "she", "syo", "sho",
			"swa", "swi", "swu", "swe", "swo",
			"zya", "ja", "jya", "zyi", "jyi", "zyu", "ju", "jyu", "zye", "je", "jye", "zyo", "jo", "jyo",
			"ta", "ti", "chi", "tu", "tsu", "te", "to",
			"ltu", "xtu", "ltsu",
			"da", "di", "du", "de", "do",
			"tya", "cha", "cya", "tyi", "cyi", "tyu", "chu", "cyu", "tye", "che", "cye", "tyo", "cho", "cyo",
			"tsa", "tsi", "tse", "tso",
			"tha", "thi", "thu", "the", "tho",
			"twa", "twi", "twu", "twe", "two",
			"dya", "dyi", "dyu", "dye", "dyo",
			"dha", "dhi", "dhu", "dhe", "dho",
			"dwa", "dwi", "dwu", "dwe", "dwo",
			"na", "ni", "nu", "ne", "no",
			"nya", "nyi", "nyu", "nye", "nyo",
			"ha", "hi", "hu", "fu", "he", "ho",
			"ba", "bi", "bu", "be", "bo",
			"pa", "pi", "pu", "pe", "po",
			"hya", "hyi", "hyu", "hye", "hyo",
			"fya", "fyu", "fyo",
			"fwa", "fa", "fwi", "fi", "fyi", "fwu", "fwe", "fe", "fye", "fwo", "fo",
			"bya", "byi", "byu", "bye", "byo",
			"va", "vi", "vu", "ve", "vo",
			"vya", "vyi", "vyu", "vye", "vyo",
			"pya", "pyi", "pyu", "pye", "pyo",
			"ma", "mi", "mu", "me", "mo",
			"mya", "myi", "myu", "mye", "myo",
			"ya", "yu", "yo", "lya", "xya", "lyu", "xyu", "lyo", "xyo",
			"ra", "ri", "ru", "re", "ro", "rya", "ryi", "ryu", "rye", "ryo",
			"wa", "wo", "n", "nn", "n'", "xn", "lwa", "xwa",
			".",",","-");
var hiragana_table = new Array("","","","","","","","",
			"","","","","","","","","","","","","","",
			"","","","","","",
			"","","","","","","","","",
			"","","","",
			"","","","","",
			"","","","","",
			"","","",
			"","","","","","","","","","","","",
			"","","","","",
			"","","","","",
			"","","","","","","","",
			"","","","","","",
			"","","","","","","","","",
			"","","","","",
			"","","","","","","","","","","","","","",
			"","","","","","","",
			"","","",
			"","","","","",
			"","","","","","","","","","","","","","",
			"","","","",
			"Ă","Ă","Ă","Ă","Ă",
			"Ƃ","Ƃ","Ƃ","Ƃ","Ƃ",
			"","","","","",
			"ł","ł","ł","ł","ł",
			"ǂ","ǂ","ǂ","ǂ","ǂ",
			"","","","","",
			"ɂ","ɂ","ɂ","ɂ","ɂ",
			"","","","","","",
			"","","","","",
			"","","","","",
			"Ђ","Ђ","Ђ","Ђ","Ђ",
			"ӂ","ӂ","ӂ",
			"ӂ","ӂ","ӂ","ӂ","ӂ","ӂ","ӂ","ӂ","ӂ","ӂ","ӂ",
			"т","т","т","т","т",
			"","","","","",
			"","","","","",
			"҂","҂","҂","҂","҂",
			"","","","","",
			"݂","݂","݂","݂","݂",
			"","","","","","","","","",
			"","","","","","","股","","肥","",
			"","","","","","","","",
			"B","A","[");
var katakana_table = new Array("A","C","C","E","E","E","G","I",
			"@","@","B","B","B","B","D","D","F","F","F","F","H","H",
			"E@","EB","EB","EF","EF","EH",
			"J","J","L","N","N","N","P","R","R",
			"","","","",
			"K","M","O","Q","S",
			"L","LB","L","LF","L",
			"N","N","N",
			"N@","N@","N@","NB","NB","NB","ND","NF","NF","NF","NH","NH",
			"M","MB","M","MF","M",
			"O@","OB","OD","OF","OH",
			"T","V","V","V","X","Z","Z","\",
			"U","W","W","Y","[","]",
			"V","V","VB","V","V","VF","VF","V","V",
			"X@","XB","XD","XF","XH",
			"W","W","W","WB","WB","W","W","W","WF","WF","WF","W","W","W",
			"^","`","`","c","c","e","g",
			"b","b","b",
			"_","a","d","f","h",
			"`","`","`","`B","`B","`","`","`","`F","`F","`F","`","`","`",
			"c@","cB","cF","cH",
			"e","eB","e","eF","e",
			"g@","gB","gD","gF","gH",
			"a","aB","a","aF","a",
			"f","fB","f","fF","f",
			"h@","hB","hD","hF","hH",
			"i","j","k","l","m",
			"j","jB","j","jF","j",
			"n","q","t","t","w","z",
			"o","r","u","x","{",
			"p","s","v","y","|",
			"q","qB","q","qF","q",
			"t","t","t",
			"t@","t@","tB","tB","tB","tD","tF","tF","tF","tH","tH",
			"r","rB","r","rF","r",
			"@","B","","F","H",
			"","B","","F","",
			"s","sB","s","sF","s",
			"}","~","","","",
			"~","~B","~","~F","~",
			"","","","","","","","","",
			"","","","","","","B","","F","",
			"","","","","","","","",
			"B","A","[");